Loading...
Searching...
No Matches
l4_vcpu_state_t Struct Reference
Base API » Kernel Objects » Thread » vCPU API

State of a vCPU. More...

`#include <vcpu.h>`

Inheritance diagram for l4_vcpu_state_t:
Collaboration diagram for l4_vcpu_state_t:

## Data Fields

l4_umword_t | version
| vCPU ABI version.
l4_umword_t | user_data [7]
| User-specific data.
l4_vcpu_regs_t | r
| Register state.
l4_vcpu_ipc_regs_t | i
| IPC state.
l4_uint16_t | state
| Current vCPU state. See L4_vcpu_state_flags.
l4_uint16_t | saved_state
| Saved vCPU state. See L4_vcpu_state_flags.
l4_uint16_t | sticky_flags
| Pending flags. See L4_vcpu_sticky_flags.
l4_cap_idx_t | user_task
| User task to use.
l4_umword_t | entry_sp
| Stack pointer for entry (when coming from user task).
l4_umword_t | entry_ip
| IP for entry.
l4_vcpu_arch_state_t | arch_state
| Architecture-specific state.

## Detailed Description

State of a vCPU.

Definition at line 75 of file vcpu.h.

## Field Documentation

## version

l4_umword_t l4_vcpu_state_t::version

vCPU ABI version.

Set by the kernel and must be checked by the user for equality with L4_VCPU_STATE_VERSION.

Definition at line 77 of file vcpu.h.

The documentation for this struct was generated from the following file:

- l4/sys/vcpu.h